/* 全角 ひらがな->カタカナ 変換 */
#include "deftype.h"

unint zhirakata(unint c)
{
	/* ひらがな：829f〜82f1 */
	/* カタカナ：8340〜8393（ただし、ひらがなに変換可能なもの。0x837fはない）*/
	if (c>=0x829f && c<=0x82f1) {
		if (c>=0x82de) c++;
		c+=0xa1;
	}
	return(c);
}
